package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.engine.infa.basic.webservice.SessionBean;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationselftask.TCoreMonitorTmporary;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationMonitor;
import java.util.List;

public interface DesensitizationMonitorService {
   List queryTaskVersionList(String taskId);

   List<DesensitizationMonitor> queryTaskMonitor(String taskid, String groupid, PageInfo pageInfo, int index);

   List<DesensitizationMonitor> queryTaskLogMonitor(String taskid, String groupid, PageInfo pageInfo, int index);

   List<TCoreMonitorTmporary> queryTaskLogMonitors(String taskid, String groupid, PageInfo pageInfo, int index);

   List<DesensitizationMonitor> queryImportTaskMonitor(String taskid, String groupid, PageInfo pageInfo, int index);

   DesensitizationMonitor getMonitorById(String id);

   SessionBean getLogForTaskMapping(String folderName, InfoProperty engine, String name) throws Exception;

   SessionBean getLogForMappingByInstantFile(String folderName, InfoProperty engine, String name, Long countdata) throws Exception;

   List<DesensitizationMonitor> queryDesensitizationMonitorList(String taskid);

   void update(DesensitizationMonitor desensitizationMonitor);

   SessionBean getSessionLog(String folderName, String wfname, InfoProperty engine);

   String stopWorkflow(InfoProperty infoProperty, String name, String folderName);

   void toExcel(String taskid);

   String recoverWorkflow(InfoProperty infoProperty, String name, String folderName);

   List<DesensitizationMonitor> queryTaskLogMonitorEM(String groupid);

   List<TCoreMonitorTmporary> querySelfTaskVersionList(String taskId);
}
